ImportedPaymentTransactionGroup
Returns a list of all ImportedPaymentTransactionGroup
GET/api/invoice/imported_payment_transaction_group
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all ImportedPaymentTransactionGrouparray<ImportedPaymentTransactionGroup>
Show fields (6)
linkedbooleanThe group is linked to a document.
auto_linkedbooleanThe group was linked automatically.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_imported_payment_transaction_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingImportedPaymentTransactionGroupController.getAll();
if (result.success) {
print(result.data);
}[
{
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
]Add a new ImportedPaymentTransactionGroup
POST/api/invoice/imported_payment_transaction_group
Request body application/json
dataImportedPaymentTransactionGroup2Show fields (7)
linkedbooleanThe group is linked to a document.
auto_linkedbooleanThe group was linked automatically.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
billing_payment_profileBillingPaymentProfile10
Responses
200Add a new ImportedPaymentTransactionGroupImportedPaymentTransactionGroup2
Show fields (7)
linkedbooleanThe group is linked to a document.
auto_linkedbooleanThe group was linked automatically.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
billing_payment_profileBillingPaymentProfile10Show fields (15)
idintegerPrimary key of the payment profile. Internal ID.
payout_typestringType of payout, for example SEPA direct debit or transfer.
auto_modebooleanPayments are created automatically.
is_defaultbooleanDefault payment profile.
is_event_defaultbooleanDefault payment profile for events.
is_donation_defaultbooleanDefault payment profile for donations.
execution_daystringDay of the month the payments are executed.
next_execution_datestring (date-time)Date of the next execution.
booking_daystringDay of the month the payments are booked.
next_booking_datestring (date-time)Date of the next booking.
force_billing_due_date_to_next_booking_datebooleanForce the due date of the invoice to the next booking date.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
curl --request POST \
--url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
linked: true,
auto_linked: true,
deleted: true,
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00'
}
})
};
fetch('https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group"
payload = { "data": {
"name": "Beispiel",
"linked": True,
"auto_linked": True,
"deleted": True,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group', [
'body' => '{"data":{"name":"Beispiel","linked":true,"auto_linked":true,"deleted":true,"created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"linked\":true,\"auto_linked\":true,\"deleted\":true,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"linked\":true,\"auto_linked\":true,\"deleted\":true,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"linked\":true,\"auto_linked\":true,\"deleted\":true,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_imported_payment_transaction_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/imported_payment_transaction_group.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingImportedPaymentTransactionGroupController.post(ImportedPaymentTransactionGroup.fromJson({
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"billing_payment_profile": {
"id": 42,
"name": "Beispiel",
"payout_type": "string",
"auto_mode": true,
"is_default": true,
"is_event_default": true,
"is_donation_default": true,
"execution_day": "string",
"next_execution_date": "2026-10-15T09:30:00+02:00",
"booking_day": "string"
}
}Get a single ImportedPaymentTransactionGroup
GET/api/invoice/imported_payment_transaction_group/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Get a single ImportedPaymentTransactionGroupImportedPaymentTransactionGroup2
Show fields (7)
linkedbooleanThe group is linked to a document.
auto_linkedbooleanThe group was linked automatically.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
billing_payment_profileBillingPaymentProfile10Show fields (15)
idintegerPrimary key of the payment profile. Internal ID.
payout_typestringType of payout, for example SEPA direct debit or transfer.
auto_modebooleanPayments are created automatically.
is_defaultbooleanDefault payment profile.
is_event_defaultbooleanDefault payment profile for events.
is_donation_defaultbooleanDefault payment profile for donations.
execution_daystringDay of the month the payments are executed.
next_execution_datestring (date-time)Date of the next execution.
booking_daystringDay of the month the payments are booked.
next_booking_datestring (date-time)Date of the next booking.
force_billing_due_date_to_next_booking_datebooleanForce the due date of the invoice to the next booking date.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_imported_payment_transaction_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingImportedPaymentTransactionGroupController.get('42');
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"billing_payment_profile": {
"id": 42,
"name": "Beispiel",
"payout_type": "string",
"auto_mode": true,
"is_default": true,
"is_event_default": true,
"is_donation_default": true,
"execution_day": "string",
"next_execution_date": "2026-10-15T09:30:00+02:00",
"booking_day": "string"
}
}Update a ImportedPaymentTransactionGroup
PUT/api/invoice/imported_payment_transaction_group/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataImportedPaymentTransactionGroup2Show fields (7)
linkedbooleanThe group is linked to a document.
auto_linkedbooleanThe group was linked automatically.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
billing_payment_profileBillingPaymentProfile10
Responses
200Update a ImportedPaymentTransactionGroupImportedPaymentTransactionGroup2
Show fields (7)
linkedbooleanThe group is linked to a document.
auto_linkedbooleanThe group was linked automatically.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
billing_payment_profileBillingPaymentProfile10Show fields (15)
idintegerPrimary key of the payment profile. Internal ID.
payout_typestringType of payout, for example SEPA direct debit or transfer.
auto_modebooleanPayments are created automatically.
is_defaultbooleanDefault payment profile.
is_event_defaultbooleanDefault payment profile for events.
is_donation_defaultbooleanDefault payment profile for donations.
execution_daystringDay of the month the payments are executed.
next_execution_datestring (date-time)Date of the next execution.
booking_daystringDay of the month the payments are booked.
next_booking_datestring (date-time)Date of the next booking.
force_billing_due_date_to_next_booking_datebooleanForce the due date of the invoice to the next booking date.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
linked: true,
auto_linked: true,
deleted: true,
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00'
}
})
};
fetch('https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42"
payload = { "data": {
"name": "Beispiel",
"linked": True,
"auto_linked": True,
"deleted": True,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42', [
'body' => '{"data":{"name":"Beispiel","linked":true,"auto_linked":true,"deleted":true,"created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"linked\":true,\"auto_linked\":true,\"deleted\":true,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"linked\":true,\"auto_linked\":true,\"deleted\":true,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/imported_payment_transaction_group/42"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"linked\":true,\"auto_linked\":true,\"deleted\":true,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/billing_imported_payment_transaction_group_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/imported_payment_transaction_group.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await BillingImportedPaymentTransactionGroupController.put(ImportedPaymentTransactionGroup.fromJson({
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"linked": true,
"auto_linked": true,
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"billing_payment_profile": {
"id": 42,
"name": "Beispiel",
"payout_type": "string",
"auto_mode": true,
"is_default": true,
"is_event_default": true,
"is_donation_default": true,
"execution_day": "string",
"next_execution_date": "2026-10-15T09:30:00+02:00",
"booking_day": "string"
}
}